
/*	Copyright (C) G. Jespersen
	See Licence.txt.*/

// OpenUrlDlg.cpp : implementation file
//

#include "stdafx.h"
#include "dslavsplit.h"
#include "OpenUrlDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COpenUrlDlg dialog


COpenUrlDlg::COpenUrlDlg(CWnd* pParent /*=NULL*/)
	: CDialog(COpenUrlDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(COpenUrlDlg)
	m_strUrl = _T("");
	//}}AFX_DATA_INIT
}


void COpenUrlDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(COpenUrlDlg)
	DDX_Control(pDX, IDC_EDIT_OPEN_URL, m_ctrlOpenUrl);
	DDX_Text(pDX, IDC_EDIT_OPEN_URL, m_strUrl);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(COpenUrlDlg, CDialog)
	//{{AFX_MSG_MAP(COpenUrlDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COpenUrlDlg message handlers

BOOL COpenUrlDlg::OnInitDialog()		// 7/22
{
	CDialog::OnInitDialog();
	
	// Set Edit box text selected, and return FALSE.
	if(m_strUrl != _T(""))
	{
		m_ctrlOpenUrl.SetSel(0, -1);
		m_ctrlOpenUrl.SetFocus();
	}
	return FALSE;
	
//	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
